import java.awt.Graphics;

class CLSTurtle {
   float angle;
   // $FF: renamed from: X float
   float field_0;
   // $FF: renamed from: Y float
   float field_1;
   float scaleX;
   float scaleY;
   int xoff;
   int yoff;

   public CLSTurtle(float var1, float var2, float var3, int var4, int var5, float var6, float var7) {
      this.angle = var1;
      this.scaleX = var6;
      this.scaleY = var7;
      this.field_0 = var2 * var6;
      this.field_1 = var3 * var7;
      this.xoff = var4;
      this.yoff = var5;
   }

   public CLSTurtle(CLSTurtle var1) {
      this.angle = var1.angle;
      this.field_0 = var1.field_0;
      this.field_1 = var1.field_1;
      this.scaleX = var1.scaleX;
      this.scaleY = var1.scaleY;
      this.xoff = var1.xoff;
      this.yoff = var1.yoff;
   }

   public void rotate(float var1) {
      this.angle += var1;
   }

   public void jump() {
      this.field_0 += (float)Math.cos((double)this.angle) * this.scaleX;
      this.field_1 += (float)Math.sin((double)this.angle) * this.scaleY;
   }

   public void draw(Graphics var1) {
      float var2 = this.field_0 + (float)Math.cos((double)this.angle) * this.scaleX;
      float var3 = this.field_1 + (float)Math.sin((double)this.angle) * this.scaleY;
      var1.drawLine((int)this.field_0 + this.xoff, (int)this.field_1 + this.yoff, (int)var2 + this.xoff, (int)var3 + this.yoff);
      this.field_0 = var2;
      this.field_1 = var3;
   }
}
