import java.awt.Color;
import java.awt.Point;
import java.awt.event.ComponentEvent;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import java.awt.event.MouseMotionListener;

final class Click2$TargetListener extends MouseAdapter implements MouseMotionListener {
   private Color newBackground;
   private Color oldBackground;

   Click2$TargetListener(Color var1) {
      this.newBackground = var1;
   }

   public void mouseEntered(MouseEvent var1) {
      this.oldBackground = ((ComponentEvent)var1).getComponent().getBackground();
      ((ComponentEvent)var1).getComponent().setBackground(this.newBackground);
   }

   public void mouseExited(MouseEvent var1) {
      ((ComponentEvent)var1).getComponent().setBackground(this.oldBackground);
   }

   private void redispatch(MouseEvent var1) {
      Point var2 = ((ComponentEvent)var1).getComponent().getLocation();
      var1.translatePoint(var2.x, var2.y);
      ((ComponentEvent)var1).getComponent().getParent().dispatchEvent(var1);
   }

   public void mouseMoved(MouseEvent var1) {
      this.redispatch(var1);
   }

   public void mouseDragged(MouseEvent var1) {
      this.redispatch(var1);
   }

   public void mouseClicked(MouseEvent var1) {
      this.redispatch(var1);
   }
}
