import java.awt.Canvas;
import java.awt.Color;
import java.awt.Component;
import java.awt.Dimension;
import java.awt.FontMetrics;
import java.awt.Graphics;
import java.awt.Image;

class DitherCanvas extends Canvas {
   Image img;
   static String calcString = "Calculating...";

   public void paint(Graphics var1) {
      int var2 = ((Component)this).size().width;
      int var3 = ((Component)this).size().height;
      if (this.img == null) {
         super.paint(var1);
         var1.setColor(Color.black);
         FontMetrics var4 = var1.getFontMetrics();
         int var5 = (var2 - var4.stringWidth(calcString)) / 2;
         int var6 = var3 / 2;
         var1.drawString(calcString, var5, var6);
      } else {
         var1.drawImage(this.img, 0, 0, var2, var3, this);
      }
   }

   public Dimension minimumSize() {
      return new Dimension(20, 20);
   }

   public Dimension preferredSize() {
      return new Dimension(200, 200);
   }

   public Image getImage() {
      return this.img;
   }

   public void setImage(Image var1) {
      this.img = var1;
      ((Component)this).repaint();
   }
}
