public class QSortAlgorithm extends SortAlgorithm {
   private boolean pauseTrue(int var1, int var2) throws Exception {
      super.pause(var1, var2);
      return true;
   }

   void QuickSort(int[] var1, int var2, int var3) throws Exception {
      int var4 = var2;
      int var5 = var3;
      if (var3 > var2) {
         int var6 = var1[(var2 + var3) / 2];

         while(var4 <= var5) {
            while(var4 < var3 && this.pauseTrue(var2, var3) && var1[var4] < var6) {
               ++var4;
            }

            while(var5 > var2 && this.pauseTrue(var2, var3) && var1[var5] > var6) {
               --var5;
            }

            if (var4 <= var5) {
               this.swap(var1, var4, var5);
               ++var4;
               --var5;
            }
         }

         if (var2 < var5) {
            this.QuickSort(var1, var2, var5);
         }

         if (var4 < var3) {
            this.QuickSort(var1, var4, var3);
         }
      }

   }

   private void swap(int[] var1, int var2, int var3) {
      int var4 = var1[var2];
      var1[var2] = var1[var3];
      var1[var3] = var4;
   }

   public void sort(int[] var1) throws Exception {
      this.QuickSort(var1, 0, var1.length - 1);
   }
}
