import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Choice;
import java.awt.Component;
import java.awt.Container;
import java.awt.Font;
import java.awt.Frame;
import java.awt.Label;
import java.awt.Panel;
import java.awt.ScrollPane;
import java.awt.TextField;
import java.awt.Toolkit;
import java.awt.Window;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;

public class SymbolTest extends Applet implements ActionListener, ItemListener {
   SymbolCanvas symbols;
   TextField baseText;
   static final int SYMBOL_BASE = 8704;
   static final int DINGBAT_BASE = 9984;
   static final int GREEK_BASE = 13056;

   public void init() {
      ((Container)this).setLayout(new BorderLayout());
      Panel var1 = new Panel();
      ((Container)var1).add(new Label("Font:"));
      Choice var2 = new Choice();
      String[] var3 = ((Component)this).getToolkit().getFontList();

      for(int var4 = 0; var4 < var3.length; ++var4) {
         var2.addItem(var3[var4]);
      }

      var2.addItemListener(this);
      ((Container)var1).add(var2);
      Font var5 = new Font(var3[0], 0, 16);
      ((Container)var1).add(new Label("Unicode base:"));
      this.baseText = new TextField(Integer.toHexString(9984), 4);
      this.baseText.setFont(new Font("Monospaced", 0, 12));
      this.baseText.addActionListener(this);
      ((Container)var1).add(this.baseText);
      ((Container)this).add("North", var1);
      ScrollPane var6 = new ScrollPane();
      this.symbols = new SymbolCanvas(var5, 9984);
      ((Container)var6).add(this.symbols);
      ((Container)this).add("Center", var6);
      ((Container)this).add("South", new Label("Symbols=0x2200, Dingbats=0x2700, Greek=0x3300"));
   }

   public void itemStateChanged(ItemEvent var1) {
      if (var1.getStateChange() == 1) {
         String var2 = (String)var1.getItem();
         this.symbols.setFont(new Font(var2, 0, 16));
      }

   }

   public void actionPerformed(ActionEvent var1) {
      try {
         int var2 = Integer.valueOf(var1.getActionCommand(), 16);
         this.symbols.setBase(var2);
      } catch (NumberFormatException var3) {
         Toolkit.getDefaultToolkit().beep();
         this.baseText.select(0, Integer.MAX_VALUE);
      }
   }

   public static void main(String[] var0) {
      Frame var1 = new Frame("SymbolTest");
      SymbolTest var2 = new SymbolTest();
      var2.init();
      ((Applet)var2).start();
      ((Container)var1).add("Center", var2);
      ((Window)var1).pack();
      ((Component)var1).setSize(400, 500);
      ((Window)var1).show();
      ((Window)var1).addWindowListener(new SymbolTest$MyAdapter());
   }
}
