class ClickArea extends ImageMapArea {
   int startx;
   int starty;
   boolean dragging;

   static String ptstr(int var0, int var1) {
      return "(" + var0 + ", " + var1 + ")";
   }

   public boolean press(int var1, int var2) {
      ((ImageMapArea)this).showStatus("Clicked at " + ptstr(var1, var2));
      this.startx = var1;
      this.starty = var2;
      this.dragging = true;
      return false;
   }

   public boolean drag(int var1, int var2) {
      ((ImageMapArea)this).showStatus("Rectangle from " + ptstr(this.startx, this.starty) + " to " + ptstr(var1, var2) + " is " + (var1 - this.startx) + "x" + (var2 - this.starty));
      return false;
   }

   public boolean lift(int var1, int var2) {
      this.dragging = false;
      return this.drag(var1, var2);
   }

   public String getStatus(String var1) {
      if (this.dragging) {
         return super.status != null ? super.status : var1;
      } else {
         return var1 == null ? super.status : var1;
      }
   }
}
