import java.awt.Button;
import java.awt.Color;
import java.awt.Component;
import java.awt.Container;
import java.awt.Event;
import java.awt.Frame;
import java.awt.Panel;
import java.awt.TextArea;
import java.awt.Window;

class DescriptionFrame extends Frame {
   static final int rows = 27;
   static final int cols = 70;
   TextArea info;
   Button cancel;

   DescriptionFrame() {
      super("Animator v1.9");
      ((Container)this).add("Center", this.info = new TextArea(27, 70));
      this.info.setEditable(false);
      this.info.setBackground(Color.white);
      Panel var1 = new Panel();
      ((Container)this).add("South", var1);
      ((Container)var1).add(this.cancel = new Button("Cancel"));
      ((Window)this).pack();
   }

   public void show() {
      this.info.select(0, 0);
      super.show();
   }

   void tell(String var1) {
      this.info.appendText(var1);
   }

   public boolean action(Event var1, Object var2) {
      if (var1.target == this.cancel) {
         ((Component)this).hide();
         return true;
      } else {
         return false;
      }
   }
}
