import java.awt.Checkbox;
import java.awt.CheckboxGroup;
import java.awt.Choice;
import java.awt.Color;
import java.awt.Component;
import java.awt.Container;
import java.awt.Event;
import java.awt.FlowLayout;
import java.awt.Graphics;
import java.awt.Panel;
import java.awt.Rectangle;

class DrawControls extends Panel {
   DrawPanel target;

   public DrawControls(DrawPanel var1) {
      this.target = var1;
      ((Container)this).setLayout(new FlowLayout());
      ((Component)this).setBackground(Color.lightGray);
      ((Component)var1).setForeground(Color.red);
      CheckboxGroup var2 = new CheckboxGroup();
      Checkbox var3;
      ((Container)this).add(var3 = new Checkbox((String)null, var2, false));
      ((Component)var3).setBackground(Color.red);
      ((Container)this).add(var3 = new Checkbox((String)null, var2, false));
      ((Component)var3).setBackground(Color.green);
      ((Container)this).add(var3 = new Checkbox((String)null, var2, false));
      ((Component)var3).setBackground(Color.blue);
      ((Container)this).add(var3 = new Checkbox((String)null, var2, false));
      ((Component)var3).setBackground(Color.pink);
      ((Container)this).add(var3 = new Checkbox((String)null, var2, false));
      ((Component)var3).setBackground(Color.orange);
      ((Container)this).add(var3 = new Checkbox((String)null, var2, true));
      ((Component)var3).setBackground(Color.black);
      ((Component)var1).setForeground(((Component)var3).getForeground());
      Choice var4 = new Choice();
      var4.addItem("Lines");
      var4.addItem("Points");
      ((Component)var4).setBackground(Color.lightGray);
      ((Container)this).add(var4);
   }

   public void paint(Graphics var1) {
      Rectangle var2 = ((Component)this).bounds();
      var1.setColor(Color.lightGray);
      var1.draw3DRect(0, 0, var2.width, var2.height, false);
   }

   public boolean action(Event var1, Object var2) {
      if (var1.target instanceof Checkbox) {
         this.target.setForeground(((Component)var1.target).getBackground());
      } else if (var1.target instanceof Choice) {
         String var3 = (String)var2;
         if (var3.equals("Lines")) {
            this.target.setDrawMode(0);
         } else if (var3.equals("Points")) {
            this.target.setDrawMode(1);
         }
      }

      return true;
   }
}
