import java.awt.Graphics;
import java.awt.Image;
import java.awt.image.ImageObserver;
import java.net.URL;
import java.util.StringTokenizer;

class ImageMapArea implements ImageObserver {
   ImageMap parent;
   // $FF: renamed from: X int
   int field_0;
   // $FF: renamed from: Y int
   int field_1;
   // $FF: renamed from: W int
   int field_2;
   // $FF: renamed from: H int
   int field_3;
   boolean entered = false;
   boolean active = false;
   Image hlImage;
   String status;

   public void init(ImageMap var1, String var2) {
      this.parent = var1;
      StringTokenizer var3 = new StringTokenizer(var2, ", ");
      this.field_0 = Integer.parseInt(var3.nextToken());
      this.field_1 = Integer.parseInt(var3.nextToken());
      this.field_2 = Integer.parseInt(var3.nextToken());
      this.field_3 = Integer.parseInt(var3.nextToken());
      if (var3.hasMoreTokens()) {
         this.handleArg(var3.nextToken(""));
      } else {
         this.handleArg((String)null);
      }

      this.makeImages();
   }

   public void handleArg(String var1) {
   }

   public void getMedia() {
   }

   public boolean animate() {
      return false;
   }

   public void setHighlight(Image var1) {
      this.hlImage = var1;
   }

   public void makeImages() {
      this.setHighlight(this.parent.getHighlight(this.field_0, this.field_1, this.field_2, this.field_3));
   }

   public void repaint() {
      this.parent.repaint(0L, this.field_0, this.field_1, this.field_2, this.field_3);
   }

   public boolean inside(int var1, int var2) {
      return var1 >= this.field_0 && var1 < this.field_0 + this.field_2 && var2 >= this.field_1 && var2 < this.field_1 + this.field_3;
   }

   public void drawImage(Graphics var1, Image var2, int var3, int var4, int var5, int var6, int var7, int var8) {
      Graphics var9 = var1.create();
      var9.clipRect(var5, var6, var7, var8);
      var9.drawImage(var2, var3, var4, this);
   }

   public boolean imageUpdate(Image var1, int var2, int var3, int var4, int var5, int var6) {
      if (var1 == this.hlImage) {
         return this.parent.imageUpdate(var1, var2, var3 + this.field_0, var4 + this.field_1, var5, var6);
      } else {
         return (var2 & 96) == 0;
      }
   }

   public void showStatus(String var1) {
      this.status = var1;
      this.parent.newStatus();
   }

   public String getStatus(String var1) {
      return var1 == null ? this.status : var1;
   }

   public void showDocument(URL var1) {
      this.parent.getAppletContext().showDocument(var1);
   }

   public void highlight(Graphics var1) {
   }

   public boolean checkEnter(int var1, int var2) {
      if (!this.entered) {
         this.entered = true;
         this.enter(var1, var2);
      }

      return this.isTerminal();
   }

   public void checkExit() {
      if (this.entered) {
         this.entered = false;
         this.exit();
      }

   }

   public boolean isTerminal() {
      return false;
   }

   public void enter(int var1, int var2) {
      this.enter();
   }

   public void enter() {
   }

   public void exit() {
   }

   public boolean press(int var1, int var2) {
      return this.press();
   }

   public boolean press() {
      return this.isTerminal();
   }

   public boolean lift(int var1, int var2) {
      return this.lift();
   }

   public boolean lift() {
      return this.isTerminal();
   }

   public boolean drag(int var1, int var2) {
      return this.isTerminal();
   }
}
