import java.net.MalformedURLException;
import java.net.URL;

class LinkArea extends ImageMapArea {
   URL anchor;

   public void handleArg(String var1) {
      try {
         this.anchor = new URL(super.parent.getDocumentBase(), var1);
      } catch (MalformedURLException var2) {
         this.anchor = null;
      }
   }

   public boolean isTerminal() {
      return true;
   }

   public void enter() {
      ((ImageMapArea)this).showStatus(this.anchor != null ? "Go To " + this.anchor.toExternalForm() : null);
   }

   public void exit() {
      ((ImageMapArea)this).showStatus((String)null);
   }

   public boolean lift(int var1, int var2) {
      if (((ImageMapArea)this).inside(var1, var2) && this.anchor != null) {
         ((ImageMapArea)this).showDocument(this.anchor);
      }

      return true;
   }
}
