import java.awt.Graphics;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

class OpenlookButtonListener implements MouseListener {
   OpenlookButton button;

   public OpenlookButtonListener(OpenlookButton var1) {
      this.button = var1;
   }

   public void mousePressed(MouseEvent var1) {
      this.button.pressed = true;
      Graphics var2 = this.button.getGraphics();
      this.button.paint(var2);
   }

   public void mouseReleased(MouseEvent var1) {
      if (this.button.pressed) {
         this.button.pressed = false;
         Graphics var2 = this.button.getGraphics();
         this.button.paint(var2);
      }

   }

   public void mouseExited(MouseEvent var1) {
      if (this.button.pressed) {
         this.button.pressed = false;
         Graphics var2 = this.button.getGraphics();
         this.button.paint(var2);
      }

   }

   public void mouseEntered(MouseEvent var1) {
   }

   public void mouseClicked(MouseEvent var1) {
   }
}
