import java.awt.Color;

class SpreadSheetInput extends InputField {
   public SpreadSheetInput(String var1, SpreadSheet var2, int var3, int var4, Color var5, Color var6) {
      super(var1, var2, var3, var4, var5, var6);
   }

   public void selected() {
      switch (super.sval.charAt(0)) {
         case 'f':
            ((SpreadSheet)super.app).setCurrentValue(3, super.sval.substring(1));
            return;
         case 'l':
            ((SpreadSheet)super.app).setCurrentValue(1, super.sval.substring(1));
            return;
         case 'u':
            ((SpreadSheet)super.app).setCurrentValue(2, super.sval.substring(1));
            return;
         case 'v':
            String var2 = super.sval.substring(1);

            try {
               int var3;
               for(var3 = 0; var3 < var2.length(); ++var3) {
                  char var4 = var2.charAt(var3);
                  if (var4 < '0' || var4 > '9') {
                     break;
                  }
               }

               var2 = var2.substring(0, var3);
               float var1 = Float.valueOf(var2);
               ((SpreadSheet)super.app).setCurrentValue(var1);
               return;
            } catch (NumberFormatException var5) {
               System.out.println("Not a float: '" + var2 + "'");
               return;
            }
         default:
      }
   }
}
